Subject: [bess] I-D Action: draft-ietf-bess-evpn-inter-subnet-forwarding-05.txt

From: [email-masked]
Date: Wed, 18 Jul 2018 11:57:32 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the BGP Enabled ServiceS WG of the IETF.

        Title           : Integrated Routing and Bridging in EVPN
        Authors         : Ali Sajassi
                          Samer Salam
                          Samir Thoria
                          John E. Drake
                          Jorge Rabadan
	Filename        : draft-ietf-bess-evpn-inter-subnet-forwarding-05.txt
	Pages           : 33
	Date            : 2018-07-18

Abstract:
   EVPN provides an extensible and flexible multi-homing VPN solution
   over an MPLS/IP network for intra-subnet connectivity among Tenant
   Systems and End Devices that can be physical or virtual. However,
   there are scenarios for which there is a need for a dynamic and
   efficient inter-subnet connectivity among these Tenant Systems and
   End Devices while maintaining the multi-homing capabilities of EVPN.
   This document describes an Integrated Routing and Bridging (IRB)
   solution based on EVPN to address such requirements.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-inter-subnet-forwarding/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-bess-evpn-inter-subnet-forwarding-05
https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-inter-subnet-forwarding-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-bess-evpn-inter-subnet-forwarding-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Krzysztof Szarkowicz <[email-masked]>
Date: Thu, 19 Jul 2018 00:30:24 +0200

Hi,

I have two comments regarding section 3.1.

* Section 3.1. refers only to “ARP” or “ARP reply”. Given the fact, it is applicable to IPv6 as well, it should refer to NDP NS/NA messages as well, I believe.

* In the last paragraph of Section 3.1:

>  Irrespective of using only the anycast address or both anycast and
   non-anycast addresses on the same IRB, when a TS sends an ARP request
   to the PE that is attached to, the ARP request is sent for the
   anycast IP address of the IRB interface associated with the TS's
   subnet.
If both anycast and non-anycast addresses are on the IRB, it is legitimate that TS sends NS/ARP request to resolve either anycast (e.g. to resolve IP address of default gateway configured on TS), or to resolve non-anycast (e.g. ping towards non-anycast address was initiated on TS). Therefore, wording of this paragraph should cover these cases (NS/ARP request to resolve both anycast/non-anycast IP).

>> the PE1 sends an ARP reply with the MACx which is the anycast
   MAC address of that IRB interface.
NA/ARP reply has multiple MAC related fields:

* Destination MAC (in Ethernet header)
* Source MAC (in Ethernet header)
* Sender hardware address (in ARP payload)
* Target hardware address (in ARP payload)

It is not ultimately clear from the text, if 'Source MAC (in Ethernet header)’ or 'Sender hardware address (in the payload)’ should be populated with MACx. As I see it, in case of both anycast and non-anycast address is used on IRB, the behavior should be:

* TS sends and NS/ARP request for the anycast address:
   -> PE sends and NA/ARP reply with anycast MAC in both 'Source MAC (in Ethernet header)’ and 'Sender hardware address (in the payload)’ fields

* TS sends and NS/ARP request for the non-anycast address:
   -> PE sends and NA/ARP reply with non-anycast MAC in both 'Source MAC (in Ethernet header)’ and 'Sender hardware address (in the payload)’ fields

Otherwise, if only 'Sender hardware address (in the payload)’ is populated with anycast/non-anycast MAC, and 'Source MAC (in Ethernet header)’  is always populated with no-anycast MAC (in implementations mimicking RFC 5798, Section 8.1.2/8.2.2/8.2.3 behavior), the L2 domain (L2 switches) between PE and CE will not learn anycast MAC, thus resulting in unknown unicast flooding being used on these switches to reach anycast MAC. This is undesirable behavior and should be avoided. 

Thanks,
Krzysztof

> On 2018-Jul-18, at 20:57, [email-masked] wrote:
> 
> 
> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess